# $Revision: 1.1 $, $Date: 2007/02/06 11:48:31 $
Summary:	Xffm-filemanager - filemanager
Summary(pl):	Xffm-filemanager - menader plikw
Name:		xffm-filemanager
Version:	4.5.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/xffm/%{name}-%{version}.tar.gz
# Source0-md5:	d5c94b8688d800a16b8ed8269fa33249
URL:		http://xffm.sourceforge.net/xffm-filemanager.html
Patch0:		%{name}-desktop.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxffm-devel >= 4.5.0
BuildRequires:	libxml2-devel
BuildRequires:	xffm-gui-devel >= 4.5.0
Provides:	xffm
Obsoletes:	xffm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xffm-filemanager is a filemanager with three different GUI's:
- a spatial iconview
- a desktop view for ~/Desktop folder (or other)
- a treeview

%description -l pl
Xffm-filemanager jest zarzdc plikw z trzema rnymi GUI:
- przestronny widok ikon
- widok biurka dla katalogu ~/Desktop (lub innego)
- widok drzewa

%package devel
Summary:	Xffm-filemanager development files
Summary(pl):	Pliki programistyczne Xffm-filemanager
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xffm-gui-devel >= 4.5.0

%description devel
Development files for Xffm-filemanager.

%description devel -l pl
Pliki programistyczne dla Xffm-filemanager.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/xffm/plugins

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xffm/mcs-shm/libxffmsettings.la

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/nb{_NO,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/pt{_PT,}
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no

rm -rf $RPM_BUILD_ROOT%{_datadir}/xffm

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/xffm-deskview
%attr(755,root,root) %{_bindir}/xffm-iconview
%attr(755,root,root) %{_bindir}/xffm-root
%attr(755,root,root) %{_bindir}/xffm-treeview
%dir %{_libdir}/xffm
%dir %{_libdir}/xffm/mcs-shm
%dir %{_libdir}/xffm/plugins
%attr(755,root,root) %{_libdir}/xffm/mcs-shm/libxffmsettings.so
%{_desktopdir}/Xffm-filemanager.desktop
%{_desktopdir}/Xffm-find.desktop
%{_desktopdir}/Xffm-iconview.desktop
%{_desktopdir}/Xffm-root.desktop
%{_desktopdir}/Xffm-treeview.desktop
%{_pixmapsdir}/*.png

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/xffm-filemanager.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xffm-filemanager.spec,v $
Revision 1.1  2007/02/06 11:48:31  megabajt
- new

